#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::text_document
{
    class OnTypeFormatting : public IRequestProvider
    {
    public:
        OnTypeFormatting() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
